couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benoit Chesneau <bchesn...@gmail.com>
Subject Re: Git Repository Creation
Date Wed, 22 Jan 2014 12:23:44 GMT
On Wed, Jan 22, 2014 at 12:41 PM, Robert Samuel Newson
<rnewson@apache.org>wrote:

> Benoit,
>
> Cloudant requires R14 support, it would mean our contribution to couchdb
> becomes useless to us and we could not contribute further.
>

Are you using blackmail? Is this the position of the Cloudant company?

While I certainly can accept that we may want to continue supporting and
old, non secure and non maintained version of Erlang for some reasons like
supporting LTS distributions, I dont't thing such argument is relevant.
Remember the Apache CouchDB i a neutral project. As a member of the Apache
Foundation you should make sure that the project decisions are independent
from where some of the contributors works.


Anyway we should take this decision in a rational manner. ie.

- if we support r14, do we support R16 and coming R17 as well? How then? If
we support R14, how long should we support it? When should we start to
deprecate its usage?
- how many LTS distribution are not supporting latest Erlang?
- Can't we solve this issue by documenting where to get latest Erlang
version like rabbitmq or basho do?
- What concrete advantages give us the usage of using latest Erlang
versions? (I listed some)
- Can't we maintain a specific version for people that want to use an old
an unsupported Erlang version with a supported and recent version of Apache
CouchDB?

Maybe there are other questions that should be answered around it. But
let's not derailed it in a discussion where everyone show its muscles which
is again not relevant.

- benoit

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message